import {IWatchListEntry} from './watch-list-entry.model';

export interface IUserWatchList {
  id?: number;
  name?: string;
  userIdLogin?: string;
  userIdId?: number;
}

export class UserWatchList implements IUserWatchList {
  constructor(public id?: number, public name?: string, public userIdLogin?: string, public userIdId?: number) {}
}

export class UserWatchListWithContent {
  constructor(public userWatchList: UserWatchList, public exerciseIds: Array<IWatchListEntry>) {}
}
