package at.ac.uibk.gitsearch.service.mapper;


import at.ac.uibk.gitsearch.domain.*;
import at.ac.uibk.gitsearch.service.dto.WatchListEntryDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity {@link WatchListEntry} and its DTO {@link WatchListEntryDTO}.
 */
@Mapper(componentModel = "spring", uses = {})
public interface WatchListEntryMapper extends EntityMapper<WatchListEntryDTO, WatchListEntry> {



    default WatchListEntry fromId(Long id) {
        if (id == null) {
            return null;
        }
        WatchListEntry watchListEntry = new WatchListEntry();
        watchListEntry.setId(id);
        return watchListEntry;
    }
}
